GET /blockscout/addresses/{address_hash}/token-balances

Path Parameters

address_hash string required path
Address hash

Responses

200 Address
application/json
Array of:
token_instance object
is_unique boolean REQUIRED
id string REQUIRED
holder_address_hash string
image_url string
animation_url string
external_app_url string
metadata object
owner object REQUIRED
hash string REQUIRED
implementation_name string REQUIRED
name string REQUIRED
ens_domain_name string
metadata object
is_contract boolean REQUIRED
private_tags object[] REQUIRED
Array of:
address_hash string REQUIRED
display_name string REQUIRED
label string REQUIRED
watchlist_names object[] REQUIRED
Array of:
display_name string REQUIRED
label string REQUIRED
public_tags object[] REQUIRED
Array of:
address_hash string REQUIRED
display_name string REQUIRED
label string REQUIRED
is_verified boolean REQUIRED
token object REQUIRED
circulating_market_cap string REQUIRED
icon_url string REQUIRED
name string REQUIRED
decimals string REQUIRED
symbol string REQUIRED
address string REQUIRED
type string REQUIRED
holders string REQUIRED
exchange_rate string REQUIRED
total_supply string REQUIRED
value string REQUIRED
token_id string REQUIRED
token object REQUIRED
name string REQUIRED
decimals string REQUIRED
symbol string REQUIRED
address string REQUIRED
type string REQUIRED
holders integer REQUIRED
exchange_rate string REQUIRED
total_supply string REQUIRED
400 Bad Input Parameter
curl -X GET 'https://data-api.b3.fun//blockscout/addresses/string/token-balances'
const response = await fetch('https://data-api.b3.fun//blockscout/addresses/string/token-balances', {
  method: 'GET'
});

const data = await response.json();
console.log(data);
import requests

response = requests.get('https://data-api.b3.fun//blockscout/addresses/string/token-balances')
print(response.json())
200 Response
[
  {
    "token_instance": {
      "is_unique": true,
      "id": "431",
      "holder_address_hash": "0x394c399dbA25B99Ab7708EdB505d755B3aa29997",
      "image_url": "example.com/picture.png",
      "animation_url": "example.com/video.mp4",
      "external_app_url": "d-app.com",
      "metadata": {
        "year": 2023,
        "tags": [
          "poap",
          "event"
        ],
        "name": "Social Listening Committee #2 Attendees",
        "image_url": "https://assets.poap.xyz/chanel-poap-4c-2023-logo-1675083420470.png",
        "home_url": "https://app.poap.xyz/token/6292128",
        "external_url": "https://api.poap.tech/metadata/99010/6292128",
        "description": "This is the POAP for attendees of the second Social Listening Committee.",
        "attributes": [
          {
            "value": "01-Feb-2023",
            "trait_type": "startDate"
          },
          {
            "value": "01-Feb-2023",
            "trait_type": "endDate"
          },
          {
            "value": "false",
            "trait_type": "virtualEvent"
          },
          {
            "value": "Paris",
            "trait_type": "city"
          },
          {
            "value": "France",
            "trait_type": "country"
          },
          {
            "value": "https://www.chanel.com",
            "trait_type": "eventURL"
          }
        ]
      },
      "owner": {
        "hash": "0xEb533ee5687044E622C69c58B1B12329F56eD9ad",
        "implementation_name": "implementationName",
        "name": "contractName",
        "ens_domain_name": "domain.eth",
        "metadata": {
          "slug": "tag_slug",
          "name": "Tag name",
          "tagType": "name",
          "ordinal": 0,
          "meta": {}
        },
        "is_contract": true,
        "private_tags": [
          {
            "address_hash": {},
            "display_name": {},
            "label": {}
          }
        ],
        "watchlist_names": [
          {
            "display_name": {},
            "label": {}
          }
        ],
        "public_tags": [
          {
            "address_hash": {},
            "display_name": {},
            "label": {}
          }
        ],
        "is_verified": true
      },
      "token": {
        "circulating_market_cap": "83606435600.3635",
        "icon_url": "https://raw.githubusercontent.com/trustwallet/assets/master/blockchains/ethereum/assets/0xdAC17F958D2ee523a2206206994597C13D831ec7/logo.png",
        "name": "Tether USD",
        "decimals": "6",
        "symbol": "USDT",
        "address": "0x394c399dbA25B99Ab7708EdB505d755B3aa29997",
        "type": "ERC-20",
        "holders": "837494234523",
        "exchange_rate": "0.99",
        "total_supply": "10000000"
      }
    },
    "value": "10000",
    "token_id": "123",
    "token": {
      "name": "Tether USD",
      "decimals": "16",
      "symbol": "USDT",
      "address": "0x394c399dbA25B99Ab7708EdB505d755B3aa29997",
      "type": "ERC-20",
      "holders": 837494234523,
      "exchange_rate": "0.99",
      "total_supply": "10000000"
    }
  }
]
GET /blockscout/addresses/{address_hash}/token-balances
Ask a question... ⌘I